summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorBill Wendling <wendling@ncsa.uiuc.edu>2002-07-17 16:10:46 (GMT)
committerBill Wendling <wendling@ncsa.uiuc.edu>2002-07-17 16:10:46 (GMT)
commitceba60418cdeb53eae7d953ec6fc9cc1f58efff1 (patch)
treedff97a1ffc292f5b479871b9c1c82106f30db0e5 /configure
parent23670c0cf63d08c4f78ea3e8f157bf58aab92b5a (diff)
downloadhdf5-ceba60418cdeb53eae7d953ec6fc9cc1f58efff1.zip
hdf5-ceba60418cdeb53eae7d953ec6fc9cc1f58efff1.tar.gz
hdf5-ceba60418cdeb53eae7d953ec6fc9cc1f58efff1.tar.bz2
[svn-r5807] Purpose:
Update, Bug Fix, and Feature Add Description: - Updated how AC_{ENABLE,WITH} help messages were being generated. Autoconf now gives you an AC_HELP_STRING macro to use to create them. - Fixed the problem with Linux LFS on RedHat 7.3 machines. It wasn't finding getdents64(), so we can't rely on that being present anymore... - Added GPFS detection and setting. - Updated how compression is specified. It's no longer necessary to test for HAVE_ZLIB_H, HAVE_LIBZ, and HAVE_COMPRESS2. The one macro {H5_}HAVE_COMPRESSION takes care of all of these. Solution: Changed the check for Linux LFS from looking for getdents() to looking at the version number of the kernel (using the uname -r command). You can still override with the --enable-linux-lfs switch if you really believe that your <2.4 kernel has LFS support. Platforms tested: Linux (2.2 and 2.4)
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure498
1 files changed, 372 insertions, 126 deletions
diff --git a/configure b/configure
index ad7c1ac..8e770d3 100755
--- a/configure
+++ b/configure
@@ -991,27 +991,27 @@ if test -n "$ac_init_help"; then
Optional Features:
--disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
- --disable-hsizet Datasets can normally be larger than memory
- and/or files but some compilers are unable to
- handle this (including versions of GCC before
- 2.8.0). Disabling the feature causes dataset
- sizes to be restricted to the size of core memory,
- or 'size_t'.
- --enable-fortran Compile the Fortran interface default=no
- --enable-cxx Compile the C++ interface default=no
- --enable-static-exec Build only statically linked executables default=no
+ --disable-hsizet Datasets can normally be larger than memory and/or
+ files but some compilers are unable to handle this
+ (including versions of GCC before 2.8.0). Disabling
+ the feature causes dataset sizes to be restricted to
+ the size of core memory, or 'size_t'.
+ --enable-fortran Compile the Fortran interface [default=no]
+ --enable-cxx Compile the C++ interface [default=no]
+ --enable-static-exec Build only statically linked executables
+ [default=no]
--enable-shared=PKGS build shared libraries default=yes
--enable-static=PKGS build static libraries default=yes
--enable-fast-install=PKGS optimize for fast installation default=yes
--disable-libtool-lock avoid locking (might break parallel builds)
--enable-production Determines how to run the compiler.
--enable-linux-lfs Enable support for large (64-bit) files on Linux.
- default=check
+ [default=check]
--enable-threadsafe Enable thread safe capability
--enable-hdf5v1_4 Compile the HDF5 v1.4 compatibility interface
- default=no
- --enable-stream-vfd Build the Stream Virtual File Driver default=no
- --enable-debug=all Turn on debugging in all packages. One may also
+ [default=no]
+ --enable-stream-vfd Build the Stream Virtual File Driver [default=no]
+ --enable-debug=all Turn on debugging in all packages. One may also
specify a comma-separated list of package names
without the leading H5 or the word no. The default
is most packages.
@@ -1032,13 +1032,13 @@ Optional Packages:
--with-xxx=DIR - Specify only the directory which contains the
include/ and lib/ subdirectories
- --with-dmalloc=DIR Use dmalloc memory debugging aid (default=no)
- --with-zlib=DIR Use GNU zlib compression default=yes
- --with-pablo=DIR Use the Pablo library default=no
- --with-ssl=LIB Use the SSL library default=no
- --with-gass=DIR Use the GASS library default=no
- --with-srb=DIR Use the SRB library default=no
- --with-pthread=DIR Use the Pthreads library default=no
+ --with-dmalloc=DIR Use dmalloc memory debugging aid [default=no]
+ --with-zlib=DIR Use GNU zlib compression [default=yes]
+ --with-pablo=DIR Use the Pablo library [default=no]
+ --with-ssl=LIB Use the SSL library [default=no]
+ --with-gass=DIR Use the GASS library [default=no]
+ --with-srb=DIR Use the SRB library [default=no]
+ --with-pthread=DIR Use the Pthreads library [default=no]
Some influential environment variables:
CC C compiler command
@@ -7285,6 +7285,7 @@ esac
echo "$as_me:$LINENO: checking make" >&5
echo $ECHO_N "checking make... $ECHO_C" >&6
+
if test "`${MAKE-make} --version -f /dev/null 2>/dev/null |\
sed -n 1p|cut -c1-8`" = "GNU Make"; then
echo "$as_me:$LINENO: result: GNU make" >&5
@@ -7331,6 +7332,7 @@ echo "${ECHO_T}you have a deficient make command" >&6
DEPEND=config/dependN
break
done
+
rm makeinc maketest
fi
@@ -7416,32 +7418,32 @@ fi;
case "X-$enable_production" in
X-yes)
enable_production="yes"
- echo "$as_me:$LINENO: result: \"production\"" >&5
-echo "${ECHO_T}\"production\"" >&6
+ echo "$as_me:$LINENO: result: production" >&5
+echo "${ECHO_T}production" >&6
CONFIG_MODE=production
CFLAGS="$CFLAGS $PROD_CFLAGS"
CPPFLAGS="$CPPFLAGS $PROD_CPPFLAGS"
;;
X-|X-no)
enable_production="no"
- echo "$as_me:$LINENO: result: \"development\"" >&5
-echo "${ECHO_T}\"development\"" >&6
+ echo "$as_me:$LINENO: result: development" >&5
+echo "${ECHO_T}development" >&6
CONFIG_MODE=development
CFLAGS="$CFLAGS $DEBUG_CFLAGS"
CPPFLAGS="$CPPFLAGS $DEBUG_CPPFLAGS"
;;
X-pg|X-profile)
enable_production="profile"
- echo "$as_me:$LINENO: result: \"profile\"" >&5
-echo "${ECHO_T}\"profile\"" >&6
+ echo "$as_me:$LINENO: result: profile" >&5
+echo "${ECHO_T}profile" >&6
CONFIG_MODE=profile
CFLAGS="$CFLAGS $PROFILE_CFLAGS"
CPPFLAGS="$CPPFLAGS $PROFILE_CPPFLAGS"
;;
*)
enable_production="user-defined"
- echo "$as_me:$LINENO: result: \"user-defined\"" >&5
-echo "${ECHO_T}\"user-defined\"" >&6
+ echo "$as_me:$LINENO: result: user-defined" >&5
+echo "${ECHO_T}user-defined" >&6
CONFIG_MODE="$X-enableval"
;;
esac
@@ -7782,6 +7784,7 @@ fi
+
for ac_header in sys/resource.h sys/time.h unistd.h sys/ioctl.h sys/stat.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -8243,6 +8246,7 @@ done
+
for ac_header in io.h winsock.h sys/timeb.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -8485,100 +8489,28 @@ if test "${enable_linux_lfs+set}" = set; then
fi;
+ LINUX_LFS="no"
case "X-$enable_linux_lfs" in
X-yes)
LINUX_LFS=yes
;;
X-no)
- LINUX_LFS=no
;;
X-|*)
- LINUX_LFS=no
-
-for ac_func in getdents64
-do
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
-if eval "test \"\${$as_ac_var+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below. */
-#include <assert.h>
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char $ac_func ();
-char (*f) ();
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-/* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
-#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
-choke me
-#else
-f = $ac_func;
-#endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_var=yes"
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-eval "$as_ac_var=no"
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
-if test `eval echo '${'$as_ac_var'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
- LINUX_LFS=yes
-fi
-done
+ MAJOR_VER="`uname -r | cut -d '.' -f1`"
+ MINOR_VER="`uname -r | cut -d '.' -f2`"
+ if test $MAJOR_VER -ge 2 -a $MINOR_VER -ge 4; then
+ LINUX_LFS="yes"
+ fi
;;
esac
- echo "$as_me:$LINENO: checking for large file support on linux mode" >&5
-echo $ECHO_N "checking for large file support on linux mode... $ECHO_C" >&6
+ echo "$as_me:$LINENO: checking for large file support mode on Linux" >&5
+echo $ECHO_N "checking for large file support mode on Linux... $ECHO_C" >&6
if test "X$LINUX_LFS" = "Xyes"; then
echo "$as_me:$LINENO: result: enabled" >&5
echo "${ECHO_T}enabled" >&6
-
CPPFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE $CPPFLAGS"
else
echo "$as_me:$LINENO: result: disabled" >&5
@@ -8634,11 +8566,8 @@ else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-which can conflict with char $ac_func (); below. */
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func (); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
@@ -8701,6 +8630,11 @@ _ACEOF
fi
done
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+echo "$as_me:$LINENO: result: skipping test for lseek64() and fseek64()" >&5
+echo "${ECHO_T}skipping test for lseek64() and fseek64()" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -21820,6 +21754,7 @@ cat >>confdefs.h <<_ACEOF
_ACEOF
+
cat >>confdefs.h <<\EOF
#include <sys/types.h> /*for off_t definition*/
EOF
@@ -22847,7 +22782,7 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
-
+ HAVE_ZLIB_H="yes"
fi
done
@@ -22919,6 +22854,74 @@ else
unset HAVE_ZLIB
fi
+ echo "$as_me:$LINENO: checking for compress2" >&5
+echo $ECHO_N "checking for compress2... $ECHO_C" >&6
+if test "${ac_cv_func_compress2+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char compress2 (); below. */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char compress2 ();
+char (*f) ();
+
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_compress2) || defined (__stub___compress2)
+choke me
+#else
+f = compress2;
+#endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_func_compress2=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_func_compress2=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_func_compress2" >&5
+echo "${ECHO_T}$ac_cv_func_compress2" >&6
+if test $ac_cv_func_compress2 = yes; then
+ HAVE_COMPRESS2="yes"
+fi
+
if test -z "$HAVE_ZLIB" -a -n "$HDF5_CONFIG_ABORT"; then
{ { echo "$as_me:$LINENO: error: couldn't find zlib library" >&5
@@ -23064,7 +23067,7 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
-
+ HAVE_ZLIB_H="yes"
else
CPPFLAGS="$saved_CPPFLAGS"
fi
@@ -23143,6 +23146,74 @@ else
LDFLAGS="$saved_LDFLAGS"; unset HAVE_ZLIB
fi
+ echo "$as_me:$LINENO: checking for compress2" >&5
+echo $ECHO_N "checking for compress2... $ECHO_C" >&6
+if test "${ac_cv_func_compress2+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char compress2 (); below. */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char compress2 ();
+char (*f) ();
+
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_compress2) || defined (__stub___compress2)
+choke me
+#else
+f = compress2;
+#endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_func_compress2=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_func_compress2=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_func_compress2" >&5
+echo "${ECHO_T}$ac_cv_func_compress2" >&6
+if test $ac_cv_func_compress2 = yes; then
+ HAVE_COMPRESS2="yes"
+fi
+
if test -z "$HAVE_ZLIB" -a -n "$HDF5_CONFIG_ABORT"; then
{ { echo "$as_me:$LINENO: error: couldn't find zlib library" >&5
@@ -23152,6 +23223,14 @@ echo "$as_me: error: couldn't find zlib library" >&2;}
;;
esac
+if test "x$HAVE_ZLIB" = "xyes" -a "x$HAVE_ZLIB_H" = "xyes" -a "x$HAVE_COMPRESS2" = "xyes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_COMPRESSION 1
+_ACEOF
+
+fi
+
PABLO=""
HAVE_PABLO="no"
@@ -28535,8 +28614,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
-
-for ac_func in compress2 difftime fork gethostname getpwuid getrusage
+for ac_func in difftime fork gethostname getpwuid getrusage
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -29167,7 +29245,6 @@ fi
done
fi
-
echo "$as_me:$LINENO: result: %${hdf5_cv_printf_ll}d and %${hdf5_cv_printf_ll}u" >&5
echo "${ECHO_T}%${hdf5_cv_printf_ll}d and %${hdf5_cv_printf_ll}u" >&6
@@ -29237,6 +29314,169 @@ else
echo "${ECHO_T}no" >&6
fi
+
+for ac_header in gpfs.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ echo "$as_me:$LINENO: checking for GPFS support" >&5
+echo $ECHO_N "checking for GPFS support... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <gpfs.h>
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+int fd = 0; gpfs_fcntl(fd, (void *)0);
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GPFS 1
+_ACEOF
+
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ LIBS="$LIBS -lgpfs"
+ GPFS="yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ GPFS="no"
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+
+done
+
+
echo "$as_me:$LINENO: checking for debug flags" >&5
echo $ECHO_N "checking for debug flags... $ECHO_C" >&6
# Check whether --enable-debug or --disable-debug was given.
@@ -29279,7 +29519,7 @@ if test -n "$DEBUG_PKG"; then
fi
echo "$as_me:$LINENO: checking for API tracing" >&5
-echo $ECHO_N "checking for API tracing... $ECHO_C" >&6;
+echo $ECHO_N "checking for API tracing... $ECHO_C" >&6
# Check whether --enable-trace or --disable-trace was given.
if test "${enable_trace+set}" = set; then
enableval="$enable_trace"
@@ -29287,6 +29527,7 @@ if test "${enable_trace+set}" = set; then
fi;
+
if test -z "$TRACE" -o "X$TRACE" = "Xyes"; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
@@ -29413,7 +29654,7 @@ echo $ECHO_N "checking for mpirun_lam or mpirun... $ECHO_C" >&6
cmd=mpirun
fi
echo "$as_me:$LINENO: result: $path/$cmd" >&5
-echo "${ECHO_T}$path/$cmd" >&6;
+echo "${ECHO_T}$path/$cmd" >&6
RUNSERIAL="${RUNSERIAL:-none}"
if test -z "$RUNPARALLEL"; then
RUNPARALLEL="$path/$cmd -np \$\${NPROCS:=3}"
@@ -31399,8 +31640,8 @@ IF_YES_NO() {
else
while test $# -gt 0; do
if test "$1" != "yes"; then
- PRINT "No"
- return
+ PRINT "No"
+ return
fi
shift
done
@@ -31453,7 +31694,7 @@ else
PRINT "No"
fi
-PRINT "Features:"
+PRINT "Languages:"
PRINT_N " C++"
IF_YES_NO "$HDF_CXX"
@@ -31461,9 +31702,17 @@ IF_YES_NO "$HDF_CXX"
PRINT_N " Fortran"
IF_YES_NO "$HDF_FORTRAN"
+PRINT "Features:"
+
+PRINT_N " dmalloc"
+IF_YES_NO "$HAVE_DMALLOC"
+
PRINT_N " GASS"
IF_YES_NO "$GASS"
+PRINT_N " GPFS"
+IF_YES_NO "$GPFS"
+
PRINT_N " HDF5 v1.4 Compatibility"
IF_YES_NO "$HDF5_V1_4_COMPAT"
@@ -31497,6 +31746,3 @@ IF_ENABLED_DISABLED "$THREADSAFE"
PRINT_N " Zlib-compression"
IF_YES_NO "$HAVE_ZLIB"
-
-PRINT_N " dmalloc"
-IF_YES_NO "$HAVE_DMALLOC"